
#ifndef MPFMVSOBJLISTTOOBJFUSNOBJLISTCONVERT_CFG_H_
#define MPFMVSOBJLISTTOOBJFUSNOBJLISTCONVERT_CFG_H_ 1

#ifdef __cplusplus
extern "C" {
#endif

 
/*==================[macros]================================================*/

/** Class Type Vehicle / Truck */
/** Position X */
#define  TUEOBJLIST_MVS_SENSOR_MODEL_VEHICLE_POS_X_BETA_0   (1.22500f)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_VEHICLE_POS_X_BETA_1   (0.24120f)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_VEHICLE_POS_X_BETA_2   (FLT_ZERO)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_VEHICLE_POS_X_BETA_3   (-0.0009f)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_VEHICLE_POS_X_BETA_4   (0.06440f)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_VEHICLE_POS_X_BETA_5   (FLT_ZERO)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_VEHICLE_POS_X_MIN      (TUEOBJLIST_MVS_SENSOR_MODEL_VEHICLE_POS_X_BETA_0)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_VEHICLE_POS_X_MAX      (10.0f)

/** Position Y */
#define  TUEOBJLIST_MVS_SENSOR_MODEL_VEHICLE_POS_Y_BETA_0   (0.10750f)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_VEHICLE_POS_Y_BETA_1   (-0.0079f)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_VEHICLE_POS_Y_BETA_2   (FLT_ZERO)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_VEHICLE_POS_Y_BETA_3   (0.00020f)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_VEHICLE_POS_Y_BETA_4   (0.01400f)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_VEHICLE_POS_Y_BETA_5   (FLT_ZERO)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_VEHICLE_POS_Y_MIN      (TUEOBJLIST_MVS_SENSOR_MODEL_VEHICLE_POS_Y_BETA_0)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_VEHICLE_POS_Y_MAX      (1.73210f)

/** Velocity X */
#define  TUEOBJLIST_MVS_SENSOR_MODEL_VEHICLE_VEL_X_BETA_0   (3.51740f)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_VEHICLE_VEL_X_BETA_1   (-0.1411f)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_VEHICLE_VEL_X_BETA_2   (FLT_ZERO)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_VEHICLE_VEL_X_BETA_3   (0.00170f)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_VEHICLE_VEL_X_BETA_4   (0.01870f)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_VEHICLE_VEL_X_BETA_5   (FLT_ZERO)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_VEHICLE_VEL_X_MIN      (FLT_ONE)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_VEHICLE_VEL_X_MAX      (4.4721f)

/** Velocity Y */
#define  TUEOBJLIST_MVS_SENSOR_MODEL_VEHICLE_VEL_Y_BETA_0   (0.08500f)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_VEHICLE_VEL_Y_BETA_1   (0.00970f)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_VEHICLE_VEL_Y_BETA_2   (FLT_ZERO)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_VEHICLE_VEL_Y_BETA_3   (FLT_ZERO)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_VEHICLE_VEL_Y_BETA_4   (0.00120f)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_VEHICLE_VEL_Y_BETA_5   (FLT_ZERO)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_VEHICLE_VEL_Y_MIN      (TUEOBJLIST_MVS_SENSOR_MODEL_VEHICLE_VEL_Y_BETA_0)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_VEHICLE_VEL_Y_MAX      (2.23610f)

/** Class Type Pedestrian / Bicycle */
/** Position X */
#define  TUEOBJLIST_MVS_SENSOR_MODEL_PEDESTRIAN_POS_X_BETA_0   (0.01270f)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_PEDESTRIAN_POS_X_BETA_1   (0.39850f)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_PEDESTRIAN_POS_X_BETA_2   (FLT_ZERO)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_PEDESTRIAN_POS_X_BETA_3   (-0.0038f)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_PEDESTRIAN_POS_X_BETA_4   (0.05960f)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_PEDESTRIAN_POS_X_BETA_5   (FLT_ZERO)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_PEDESTRIAN_POS_X_MIN      (TUEOBJLIST_MVS_SENSOR_MODEL_PEDESTRIAN_POS_X_BETA_0)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_PEDESTRIAN_POS_X_MAX      (3.16230f)

/** Position Y */
#define  TUEOBJLIST_MVS_SENSOR_MODEL_PEDESTRIAN_POS_Y_BETA_0   (0.17140f)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_PEDESTRIAN_POS_Y_BETA_1   (0.03000f)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_PEDESTRIAN_POS_Y_BETA_2   (FLT_ZERO)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_PEDESTRIAN_POS_Y_BETA_3   (-0.0006f)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_PEDESTRIAN_POS_Y_BETA_4   (0.00860f)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_PEDESTRIAN_POS_Y_BETA_5   (FLT_ZERO)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_PEDESTRIAN_POS_Y_MIN      (TUEOBJLIST_MVS_SENSOR_MODEL_PEDESTRIAN_POS_Y_BETA_0)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_PEDESTRIAN_POS_Y_MAX      (1.73210f)

/** Velocity X */
#define  TUEOBJLIST_MVS_SENSOR_MODEL_PEDESTRIAN_VEL_X_BETA_0   (0.83380f)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_PEDESTRIAN_VEL_X_BETA_1   (-0.0135f)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_PEDESTRIAN_VEL_X_BETA_2   (FLT_ZERO)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_PEDESTRIAN_VEL_X_BETA_3   (-0.0002f)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_PEDESTRIAN_VEL_X_BETA_4   (0.01120f)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_PEDESTRIAN_VEL_X_BETA_5   (FLT_ZERO)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_PEDESTRIAN_VEL_X_MIN      (TUEOBJLIST_MVS_SENSOR_MODEL_PEDESTRIAN_VEL_X_BETA_0)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_PEDESTRIAN_VEL_X_MAX      (4.47210f)

/** Velocity Y */
#define  TUEOBJLIST_MVS_SENSOR_MODEL_PEDESTRIAN_VEL_Y_BETA_0   (0.07890f)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_PEDESTRIAN_VEL_Y_BETA_1   (-0.0028f)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_PEDESTRIAN_VEL_Y_BETA_2   (FLT_ZERO)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_PEDESTRIAN_VEL_Y_BETA_3   (0.00010f)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_PEDESTRIAN_VEL_Y_BETA_4   (0.00030f)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_PEDESTRIAN_VEL_Y_BETA_5   (FLT_ZERO)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_PEDESTRIAN_VEL_Y_MIN      (TUEOBJLIST_MVS_SENSOR_MODEL_PEDESTRIAN_VEL_Y_BETA_0)
#define  TUEOBJLIST_MVS_SENSOR_MODEL_PEDESTRIAN_VEL_Y_MAX      (3.23610f)

#define  TUEOBJLIST_MVS_LATENCY_TO_SECONDS                     (1000.0f)
#define  TUEOBJLIST_MVS_DEFAULT_LATENCY_SECONDS                (0.09f) 

#define  TUEOBJLIST_MVS_BITPATTERN_ASIL                        (0xF0u)
#define  TUEOBJLIST_MVS_BITPATTERN_NOT_ASIL                    (0x00u)

/*==================[function]====================================*/

/*==================[external constants]====================================*/

#ifdef __cplusplus
}
#endif

#endif /* MPFMVSOBJLISTTOOBJFUSNOBJLISTCONVERT_CFG_H_ */
